/*

------------------------------------------------------------------------------

A license is hereby granted to reproduce this software source code and
to create executable versions from this source code for personal,
non-commercial use.  The copyright notice included with the software
must be maintained in all copies produced.

THIS PROGRAM IS PROVIDED "AS IS". THE AUTHOR PROVIDES NO WARRANTIES
WHATSOEVER, EXPRESSED OR IMPLIED, INCLUDING WARRANTIES OF
MERCHANTABILITY, TITLE, OR FITNESS FOR ANY PARTICULAR PURPOSE.  THE
AUTHOR DOES NOT WARRANT THAT USE OF THIS PROGRAM DOES NOT INFRINGE THE
INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTY IN ANY COUNTRY.

Copyright (c) 1995, 1996, 1997, 1998 John Conover, All Rights Reserved.

Comments and/or bug reports should be addressed to:

    john@johncon.com (John Conover)

------------------------------------------------------------------------------

pdict.h, general include file for all modules in the pdict program

this file contains system specific definitions and include files for
all modules-this file should be #include'd in all modules of the
program

$Revision: 1.0 $
$Date: 1998/03/09 00:29:06 $
$Id: pdict.h,v 1.0 1998/03/09 00:29:06 john Exp $
$Log: pdict.h,v $
Revision 1.0  1998/03/09 00:29:06  john
Initial revision


*/

#ifndef _PDICT_H /* if not defined then pdict.h has not yet been included */

#define _PDICT_H

#define PDICT_H_ID "$Id: pdict.h,v 1.0 1998/03/09 00:29:06 john Exp $" /* module version */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h> /* for getopt () */
#include <ctype.h> /* for toupper () */

#define DICTIONARY_PATH "/usr/local/lib/dict/websters"

#include "uppercase.h"
#include "translit.h"

#endif
